%global oname   e16keyedit

Summary:        GUI for editing keybindings in Enlightenment, DR16
Name:           e16-keyedit
Version:        0.7
Release:        8%{?dist}
License:        MIT with advertising
Group:          User Interface/Desktops
URL:            http://www.enlightenment.org/
Source0:        http://downloads.sourceforge.net/enlightenment/e16keyedit-%{version}.tar.gz
BuildRequires:  gtk2-devel desktop-file-utils
BuildRequires:  automake autoconf
Requires:       e16 >= 1.0.1

%description
The e16-keyedit package provides a graphical interface for managing
keybindings in Enlightenment, DR16.

%prep
%setup -q -n %{oname}-%{version}

%build
%configure
%{__make} %{?_smp_mflags}
%{__cat} <<EOF > %{name}.desktop
[Desktop Entry]
Name=e16keyedit
Comment=Manage keybindings for e16
Exec=e16keyedit
Terminal=false
Type=Application
Icon=/usr/share/e16/misc/e16
Categories=Settings;DesktopSettings;
EOF

%install
%make_install
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{name}.desktop

%files
%doc README COPYING AUTHORS ChangeLog 
%{_bindir}/%{oname}
%{_datadir}/applications/%{name}.desktop

%changelog
* Sun Feb 24 2013 Rahul Sundaram <sundaram@fedoraproject.org> - 0.7-8
- remove vendor tag from desktop file. https://fedorahosted.org/fpc/ticket/247
- clean up spec to follow current guidelines
- fix desktop file to follow specification

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 07 2011 Terje Rosten <terje.rosten@ntnu.no> - 0.7-4
- Rebuilt for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Apr 16 2010 Terje Rosten <terjeros@phys.ntnu.no> - 0.7-2
- Add patch now upstream
- Require newer e16

* Fri Apr 16 2010 Terje Rosten <terjeros@phys.ntnu.no> - 0.7-1
- 0.7

* Sun Feb 14 2010 Terje Rosten <terjeros@phys.ntnu.no> - 0.6-1
- 0.6
- Add DSO patch

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Oct 18 2008 Terje Rosten <terjeros@phys.ntnu.no> - 0.5-3
- Add desktop file

* Tue Mar 27 2008 Terje Rosten <terjeros@phys.ntnu.no> - 0.5-2
- Fix license

* Mon Aug 20 2007 Terje Rosten <terjeros@phys.ntnu.no> - 0.5-1
- Initial build (based on upstream spec, thanks!)
